Bug 954162 - External USB disk working not by default.
Summary: External USB disk working not by default.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: smartmontools
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Michal Hlavinka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-21 11:44 UTC by Frank Büttner
Modified: 2014-11-01 01:43 UTC (History)
2 users (show)

Fixed In Version: smartmontools-6.2-5.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-22 03:30:59 UTC
Type: Bug


Attachments (Terms of Use)

Description Frank Büttner 2013-04-21 11:44:45 UTC
Description of problem:
An external USB 3.0 disk is not working by default,
possible the version of the package is to old. Because the disk is listed as supported on the upstream website.

Version-Release number of selected component (if applicable):
smartmontools-6.0-2.fc18.x86_64

How reproducible:
everytime

Steps to Reproduce:
1.  smartctl /dev/sdX --all

  
Actual results:
/dev/sdX: Unknown USB bridge [0x1e68:0x0050 (0x100)]
Please specify device type with the -d option.


Expected results:
Get the S.M.R.T. infos.

Additional info:
smartctl /dev/sdc --all -d sat will work.
As shown on http://sourceforge.net/apps/trac/smartmontools/wiki/Supported_USB-Devices the device is listed. I think an table witch contains the devices must be updated.

Comment 1 Michal Hlavinka 2013-04-22 14:53:06 UTC
I just prepared smartmontools 6.1 update for Fedora 18
Please wait for it to reach updates-testing repository (should happen within 24 hourse)
Update smartmontools using:
yum update --enablerepo=updates-testing smartmontools
and restest.
Thanks

Comment 2 Frank Büttner 2013-04-25 17:16:35 UTC
Hello,
I have tested it, but the same result:

[root@bart ~]# smartctl /dev/sdc --all
smartctl 6.1 2013-03-16 r3800 [x86_64-linux-3.8.8-202.fc18.x86_64] (local build)
Copyright (C) 2002-13, Bruce Allen, Christian Franke, www.smartmontools.org

/dev/sdc: Unknown USB bridge [0x1e68:0x0050 (0x100)]
Please specify device type with the -d option.
Use smartctl -h to get a usage summary

[root@bart ~]# smartctl /dev/sdc --all -d sat
smartctl 6.1 2013-03-16 r3800 [x86_64-linux-3.8.8-202.fc18.x86_64] (local build)
Copyright (C) 2002-13, Bruce Allen, Christian Franke, www.smartmontools.org

=== START OF INFORMATION SECTION ===
Model Family:     Seagate Barracuda 7200.14 (AF)
Device Model:     ST3000DM001-1CH166

Comment 3 Fedora End Of Life 2013-12-21 15:29:17 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Frank Büttner 2013-12-21 16:08:37 UTC
still exits on F19.
smartmontools-6.2-2.fc19.x86_64

Comment 5 Christian Franke 2014-07-16 07:07:15 UTC
Added to upstream drivedb.h in r3950, r3951.
Please test:
http://www.smartmontools.org/wiki/Download#Updatethedrivedatabase

Comment 6 Frank Büttner 2014-07-16 14:07:53 UTC
I have update the system to f20 in the meantime.
But the problem exist too.
run /usr/sbin/update-smart-drivedb has download the last version.
smartctl /dev/sdd --all now work. :)
 smartctl /dev/sdd --all
smartctl 6.2 2013-07-26 r3841 [x86_64-linux-3.15.4-200.fc20.x86_64] (local build)
Copyright (C) 2002-13, Bruce Allen, Christian Franke, www.smartmontools.org

=== START OF INFORMATION SECTION ===
Model Family:     Seagate Barracuda 7200.14 (AF)
Device Model:     ST3000DM001-1CH166
Thanks.

Comment 7 Fedora Update System 2014-07-17 09:08:17 UTC
smartmontools-6.2-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/smartmontools-6.2-5.fc19

Comment 8 Fedora Update System 2014-07-17 09:08:24 UTC
smartmontools-6.2-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/smartmontools-6.2-6.fc20

Comment 9 Fedora Update System 2014-07-19 06:05:42 UTC
Package smartmontools-6.2-5.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing smartmontools-6.2-5.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8527/smartmontools-6.2-5.fc19
then log in and leave karma (feedback).

Comment 10 Frank Büttner 2014-07-19 10:11:14 UTC
Testet the f20 version. Works. thanks

Comment 11 Fedora Update System 2014-07-22 03:30:59 UTC
smartmontools-6.2-6.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2014-11-01 01:43:32 UTC
smartmontools-6.2-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.